from ase.io import read
from gpaw import GPAW
from ase.optimize import LBFGS
from ase.optimize.berny import Berny

atoms = read('molecule.xyz')
atoms.center(vacuum=4.5)
calc = GPAW(mode='lcao', basis='dzp',
            txt='gpaw.txt',
            xc='oldLDA',
            parallel=dict(sl_auto=True),
            convergence=dict(density=1e-5))
atoms.calc = calc

opt = Berny(atoms, trajectory='opt.traj', logfile='opt.log')
opt.run(fmax=0.01)
